using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.GameTools.InteractionTools;
using KairoEngine.UI;
using Sirenix.OdinInspector;

namespace KairoEngine.TerrainEngine
{
    public class RemoveVoxelTerrainTool : MonoBehaviour, IInteractionTool
    {
        public VoxelTerrainEditor voxelTerrainEditor;
        public Sprite icon;

        public void DisableTool()
        {
            voxelTerrainEditor.currentTool = VoxelTerrainEditor.Tool.None;
        }

        public void EnableTool()
        {
            voxelTerrainEditor.currentTool = VoxelTerrainEditor.Tool.Remove;
        }

        public Sprite GetIcon() => icon;
    }
}

